# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/nautilus/extensions-4/.*\\.so

Summary:	Dropbox extension for Nautilus
Name:		nautilus-dropbox
Version: 	2024.01.22
Release: 	%mkrel 1
License:	GPLv3+ and CC-BY-ND-3.0
Group:		Graphical desktop/GNOME
Url:		https://github.com/dropbox/nautilus-dropbox
Source0:	https://linux.dropboxstatic.com/packages/%{name}-%{version}.tar.bz2
#
# Patches from upstream
#
# add 10 second delay to autostart to ensure it loads on session startup
Patch100:	0001-Add-10-second-delay-to-autostart-to-ensure-it-loads-.patch

BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libnautilus-extension-4)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	python3dist(docutils)
Requires:	dropbox
Requires:	nautilus

%description
Dropbox extension for Nautilus.

%package -n dropbox
Summary:	A command line interface to the Dropbox service
Group:		Networking/Other
BuildArch:	noarch
Requires:	wget
Requires:	python3-gobject3
Requires:	python3-gpg
Provides:	dropbox-bin = %{version}-%{release}

%description -n dropbox
This package provides a command line interface to the Dropbox, the easiest
online file storage, synchronization and sharing service.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%files -n dropbox
%{_iconsdir}/hicolor/*/*/dropbox.png
%{_bindir}/dropbox
%{_datadir}/applications/dropbox.desktop
%{_mandir}/man1/dropbox*

%files
%{_datadir}/%{name}/
%{_libdir}/nautilus/extensions-4/lib%{name}.so


%changelog
* Mon Apr 15 2024 daviddavid <daviddavid> 2024.01.22-1.mga9
+ Revision: 2057772
- new version: 2024.01.22 (mga#33099)
- remove merged upstream patches

* Mon Oct 24 2022 ghibo <ghibo> 2020.03.04-1.mga9.nonfree
+ Revision: 1898989
- Add gtk4-devel to BR
- Merge patches from upstream (1-9).
- Add Patch50 for building with newer nautilus-extension-4.
- Fix BuildRequires for libnautilus-extension-4.
- Fix files list.
- Update to release 2020.04.03.

* Fri Apr 15 2022 umeabot <umeabot> 2019.02.14-3.mga9.nonfree
+ Revision: 1850443
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 2019.02.14-2.mga8.nonfree
+ Revision: 1548635
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- update URL

* Thu Mar 14 2019 wally <wally> 2019.02.14-1.mga7.nonfree
+ Revision: 1376672
- new version 2019.02.14

* Sun Feb 10 2019 wally <wally> 2019.01.31-1.mga7.nonfree
+ Revision: 1365074
- new version 2019.01.31
- switch to python3

* Fri Jan 18 2019 wally <wally> 2018.11.28-2.mga7.nonfree
+ Revision: 1357925
- add upstream patch to use GIR bindings instead of pygtk

* Tue Jan 01 2019 wally <wally> 2018.11.28-1.mga7.nonfree
+ Revision: 1347989
- new version 2018.11.28
- make dropbox pkg noarch
- require python-gpg instead of recommending python-gpgme
- drop lobnotify requires

* Thu Sep 20 2018 umeabot <umeabot> 2015.10.28-5.mga7.nonfree
+ Revision: 1280135
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 wally <wally> 2015.10.28-4.mga7.nonfree
+ Revision: 1248328
- fix build on aarch64

* Sat Aug 04 2018 wally <wally> 2015.10.28-3.mga7.nonfree
+ Revision: 1247368
- replace python2-gobject requires with pygtk2.0 which also pulls it

* Sat Aug 04 2018 wally <wally> 2015.10.28-2.mga7.nonfree
+ Revision: 1247273
- require python2-gobject

* Sun Nov 08 2015 wally <wally> 2015.10.28-1.mga6.nonfree
+ Revision: 898985
- new version 2015.10.28

* Sun Jun 21 2015 wally <wally> 2015.02.12-1.mga6.nonfree
+ Revision: 837617
- new version 2015.02.12
- rename dropbox-bin pkg as dropbox

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2-3.mga5.nonfree
+ Revision: 748761
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-2.mga5.nonfree
+ Revision: 682804
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri May 02 2014 wally <wally> 1.6.2-1.mga5.nonfree
+ Revision: 619678
- new version 1.6.2

* Sun Feb 09 2014 wally <wally> 1.6.1-2.mga5.nonfree
+ Revision: 587075
- split out dropbox binary and other common files to be used with thunar-dropbox without installing nautilus

* Tue Feb 04 2014 dams <dams> 1.6.1-1.mga5.nonfree
+ Revision: 581457
- new version 1.6.1

* Thu Oct 31 2013 tmb <tmb> 1.6.0-2.mga4.nonfree
+ Revision: 548444
- Mageia 4 rebuild

* Mon Feb 04 2013 dams <dams> 1.6.0-1.mga4.nonfree
+ Revision: 394601
- new version 1.6.0

* Sat Jan 12 2013 umeabot <umeabot> 1.4.0-2.mga3.nonfree
+ Revision: 360789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 02 2012 dams <dams> 1.4.0-1.mga2.nonfree
+ Revision: 234482
- new version 1.4.0

* Tue Feb 28 2012 dams <dams> 0.7.1-1.mga2.nonfree
+ Revision: 215894
- new version 0.7.1
- clean spec file
- add 'python-gpgme' as a suggest
- add a README file to explain how to use the daemon

* Tue Jul 19 2011 ofaurax <ofaurax> 0.6.8-1.mga2.nonfree
+ Revision: 126800
- nautilus 3.0 in cauldron
- version 0.6.8

* Fri Apr 08 2011 dams <dams> 0.6.7-1.mga1
+ Revision: 82193
- Clean specfile as license images changed since 0.6.3 and update to 0.6.7
- imported package nautilus-dropbox


* Tue Sep 29 2009 Juan Luis Baptiste <juancho@mandriva.org> 0.6.1-1mdv2010.0
+ Revision: 450990
- Added python-docutils to buildRequires.
- Added pygtk2.0-devel to buidRequires to fix compilation on x86_64.
- Updated to 0.6.1

* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-3mdv2010.0
+ Revision: 440237
- rebuild

* Sun Jan 25 2009 Funda Wang <fundawang@mandriva.org> 0.5.0-2mdv2009.1
+ Revision: 333526
- fix group and url
- refresh icons with free ones

* Sun Jan 25 2009 Jérôme Soyer <saispo@mandriva.org> 0.5.0-1mdv2009.1
+ Revision: 333507
- import nautilus-dropbox


